> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve regulatory requirements for a list of phone numbers



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/management-config.yml get /phone_numbers/regulatory_requirements
openapi: 3.1.0
info:
  title: Telnyx Phone Number Management API
  version: 2.0.0
  description: API for managing and configuring phone numbers.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /phone_numbers/regulatory_requirements:
    get:
      tags:
        - Regulatory Requirements
      summary: Retrieve regulatory requirements for a list of phone numbers
      operationId: ListRegulatoryRequirementsPhoneNumbers
      parameters:
        - name: filter
          in: query
          style: deepObject
          explode: true
          description: >-
            Consolidated filter parameter (deepObject style). Originally:
            filter[phone_number]
          schema:
            type: object
            properties:
              phone_number:
                type: string
                example: +41215470622,+41215470633
                description: Record type phone number/ phone numbers
      responses:
        '200':
          $ref: '#/components/responses/listRegulatoryRequirementsPhoneNumbers'
        '400':
          $ref: '#/components/responses/numbers_BadRequestResponse'
        '401':
          $ref: '#/components/responses/numbers_UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/numbers_NotFoundResponse'
        '422':
          $ref: '#/components/responses/numbers_UnprocessableEntity'
        '500':
          $ref: '#/components/responses/numbers_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const phoneNumbersRegulatoryRequirement =
              await client.phoneNumbersRegulatoryRequirements.retrieve();

            console.log(phoneNumbersRegulatoryRequirement.data);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            phone_numbers_regulatory_requirement =
            client.phone_numbers_regulatory_requirements.retrieve()

            print(phone_numbers_regulatory_requirement.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tphoneNumbersRegulatoryRequirement, err := client.PhoneNumbersRegulatoryRequirements.Get(context.TODO(), telnyx.PhoneNumbersRegulatoryRequirementGetParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", phoneNumbersRegulatoryRequirement.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.phonenumbersregulatoryrequirements.PhoneNumbersRegulatoryRequirementRetrieveParams;

            import
            com.telnyx.sdk.models.phonenumbersregulatoryrequirements.PhoneNumbersRegulatoryRequirementRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    PhoneNumbersRegulatoryRequirementRetrieveResponse phoneNumbersRegulatoryRequirement = client.phoneNumbersRegulatoryRequirements().retrieve();
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            phone_numbers_regulatory_requirement =
            telnyx.phone_numbers_regulatory_requirements.retrieve


            puts(phone_numbers_regulatory_requirement)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $phoneNumbersRegulatoryRequirement = $client
                ->phoneNumbersRegulatoryRequirements
                ->retrieve(filter: ['phoneNumber' => '+41215470622,+41215470633']);

              var_dump($phoneNumbersRegulatoryRequirement);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx phone-numbers-regulatory-requirements retrieve \
              --api-key 'My API Key'
components:
  responses:
    listRegulatoryRequirementsPhoneNumbers:
      description: An array of Regulatory Requirements Responses
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/RegulatoryRequirementsPhoneNumbers'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
    numbers_BadRequestResponse:
      description: >-
        Bad request, the request was unacceptable, often due to missing a
        required parameter.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
          examples:
            Authentication Failed:
              value:
                errors:
                  - code: '10009'
                    title: Authentication failed
                    detail: Could not understand the provided credentials.
                    meta:
                      url: https://developers.telnyx.com/docs/overview/errors/10009
    numbers_NotFoundResponse:
      description: The requested resource doesn't exist.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_UnprocessableEntity:
      description: Unprocessable entity. Check the 'detail' field in response for details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
    numbers_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/numbers_Errors'
  schemas:
    RegulatoryRequirementsPhoneNumbers:
      properties:
        phone_number:
          type: string
          example: '+41215471644'
          readOnly: true
        phone_number_type:
          type: string
          example: local
          readOnly: true
        region_information:
          type: array
          items:
            type: object
            properties:
              region_name:
                type: string
                example: CH
              region_type:
                type: string
                example: country_code
        record_type:
          type: string
          example: phone_number_regulatory_requirements
          readOnly: true
        regulatory_requirements:
          type: array
          items:
            type: object
            properties:
              description:
                type: string
                example: >-
                  Address matching the DID area code (street, building number,
                  postal code, city and country)
                readOnly: true
              id:
                type: string
                format: uuid
                example: 12ade33a-21c0-473b-b055-b3c836e1c292
                readOnly: true
              example:
                type: string
                example: 600 Congress Avenue, 14th Floor, Austin, TX 78701
                readOnly: true
              label:
                type: string
                example: Address matching the DID area code
              field_type:
                type: string
                example: address_id
              acceptance_criteria:
                type: object
                properties:
                  locality_limit:
                    type: string
                    example: Identical locality as the numbers desired
                  field_value:
                    type: string
                    example: 45f45a04-b4be-4592-95b1-9306b9db2b21
                  field_type:
                    type: string
                    example: address
              record_type:
                type: string
                example: regulatory_requirement
                readOnly: true
      type: object
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    numbers_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/numbers_Error'
      type: object
    numbers_Error:
      properties:
        code:
          type: string
          example: '10007'
        title:
          type: string
          example: Unexpected error
        detail:
          type: string
          example: An unexpected error occured.
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              example: /base
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          properties:
            url:
              type: string
              description: URL with additional information on the error.
              example: https://developers.telnyx.com/docs/overview/errors/10015
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````